#include <GDIPlus.au3>
#include '_GDIPlus_ImageCalcDif.au3'

_GDIPlus_Startup()

Local $hImg1 = _GDIPlus_ImageLoadFromFile('1.png')
Local $hImg2 = _GDIPlus_ImageLoadFromFile('2.png')
Local $fDif

; ### Beispiel 1 ###

$fDif = __GDIPlus_ImageCalcDif($hImg1, $hImg2)
; Verglichen wird:
; Bild 1: Rect(0, 0, 720, 480)
; Bild 2: Rect(0, 0, 720, 480)
ConsoleWrite('Die verglichenen Bilder haben eine Differenz von ' & Round($fDif, 2) & ' Farbtnen pro Pixel.' & @CRLF)


; ### Beispiel 2 ###

$fDif = __GDIPlus_ImageCalcDif($hImg1, $hImg2, 220, 0, 100, 130, 100, 100)
; Verglichen wird:
; Bild 1: Rect(220,  0, 100, 100)
; Bild 2: Rect(100, 130, 100, 100)
ConsoleWrite('Die verglichenen Bildstellen haben eine Differenz von ' & Round($fDif, 2) & ' Farbtnen pro Pixel.' & @CRLF)


; Hier der kleine Ausschnitt aus Beispiel2, damit man einen berblick hat wie das was verglichen wurde aussieht.
Local $hExt = _GDIPlus_BitmapCloneArea($hImg1, 220, 0, 100, 100)
_GDIPlus_ImageSaveToFile($hExt, 'Ausschnitt1.png')
_GDIPlus_BitmapDispose($hExt)
$hExt = _GDIPlus_BitmapCloneArea($hImg2, 100, 130, 100, 100)
_GDIPlus_ImageSaveToFile($hExt, 'Ausschnitt2.png')
_GDIPlus_BitmapDispose($hExt)


_GDIPlus_ImageDispose($hImg1)
_GDIPlus_ImageDispose($hImg2)
_GDIPlus_Shutdown()
